#!/bin/sh
case "`uname`" in
    Linux*) 
        dist=`grep DISTRIB_ID /etc/*-release | awk -F '=' '{print $2}'`
        if [ "$dist" = "Ubuntu" ]; then
            sudo -p "Please enter the root password: " -s '/usr/local/cbp/bin/RunCB.sh'
        else
            if [ `id -u` != "0" ]; then
                echo 'Please enter the root password' && su -s '/usr/local/cbp/bin/RunCB.sh'
            else 
                '/usr/local/cbp/bin/RunCB.sh'
            fi
        fi
        ;;
    *BSD*)  
        echo 'Please enter the root password' && su -m root -c '/usr/local/cbp/bin/RunCB.sh'
        ;;
    *)  
        echo "This OS `uname` is not supported by this script! Exit `basename $0` now!"
        ;;
esac
