#!/bin/sh
if [ -f "../jvm/bin/javau" ]; then 
    echo "javau exists. Continue update." 
else 
    echo cp "../jvm/bin/java" "../jvm/bin/javau" 
    echo "javau added, continue update."
fi

JAVA_EXE="../jvm/bin/javau"

LIB_HOME="./lib"
ANT_LIB_HOME="./ant/lib"
JAVA_OPTS="-Xrs -Xmx128m"
JNI_PATH="-Djava.library.path=$LIB_HOME"
CLASSPATH="$LIB_HOME:$LIB_HOME/jdom.jar:$ANT_LIB_HOME/ant.jar:$ANT_LIB_HOME/ant-launcher.jar:$ANT_LIB_HOME/ant-apache-log4j.jar:$ANT_LIB_HOME/xercesImpl.jar:$ANT_LIB_HOME/xml-apis.jar:$LIB_HOME/log4j.jar:$LIB_HOME/aua.jar"
MAIN_CLASS=AuaI
"$JAVA_EXE" "$JAVA_OPTS" "$JNI_PATH" -cp "$CLASSPATH" "$MAIN_CLASS" "$1" "$2" > ../log/Update.log
sh "../bin/RunCB.sh"
exit
